#ifndef __max80_OTA_H
#define __max80_OTA_H
#include <Arduino.h>
#include <ESPAsyncWebServer.h>
#include "max80_wifi.h"
namespace max80
{
    void OTAtask(void * parameter);
    class web
    {
        public:
            void init();
            bool connected = false;
            void initWebSocket();
            void handleWebSocketMessage(void *arg, uint8_t *data, size_t len);
        private:
            void notifyClients();
            
            void onEvent(AsyncWebSocket *server, AsyncWebSocketClient *client, AwsEventType type,void *arg, uint8_t *data, size_t len);
            
            String processor(const String& var);
            
            
            
    };
}

#endif