#ifndef __max80_GPIO_H__
#define __max80_GPIO_H__
#include <Arduino.h>

#define MAX80_LED1          2
#define MAX80_LED2          4
#define MAX80_LED3          3
#define LED_BUILTIN         3
#define MAX80_FPGA_I2C_SDA  5      
#define MAX80_FPGA_I2C_SCL  6

#define MAX80_FPGA_MISO     13
#define MAX80_FPGA_MOSI     12
#define MAX80_FPGA_CS       10
#define MAX80_FPGA_CLK      11


#define MAX80_RTC_32KHZ     15

#define MAX80_FPGA_TDI      16
#define MAX80_FPGA_TDO      17
#define MAX80_FPGA_TCK      18
#define MAX80_FPGA_TMS      14

void blink_led(void *pvParameter);
namespace max80 {
	class gpio
	{
        public:
            void init();
            

    };
}

#endif 